#! /bin/sh

if [ -n "${JAVA_HOME}" ] ; then
	java_cmd="${JAVA_HOME}/bin/java"
else 
	if [ -x "`which java`" ] ; then
		java_cmd="`which java`"
	else
		echo "Cannot find 'java'."
		exit 1
	fi
fi

current_wd="`pwd`"
sandbox_dir=`dirname "${0}"`
cd "${sandbox_dir}/.."
sandbox_dir="`pwd`"

cd "${current_wd}"

for library in ${sandbox_dir}/lib/* ; do
	if [ -z "${CLASSPATH}" ] ; then
		CLASSPATH="${library}"
	else
		CLASSPATH="${CLASSPATH}:${library}"
	fi
done

export CLASSPATH

exec "${java_cmd}" ${JAVA_OPTS} sandbox.Sandbox "${@}"

